My troubles with DXF stuff....

Discussion in 'AutoCAD' started by Joe, Apr 7, 2004.

  1. Joe

    Joe Guest

    I have been trying to alter the 10 group on an aligned dimension to oblique
    it (It appeared to be the one that changed after i used the oblique command
    with the dim prompt)

    Anyway, I manage to create the list, but when i go to entmod it, nothing
    happens, the new number isn't put over the old one....mind you, this is the
    first time i've ever tried to use entmod, entget, etc.....

    ;;dxf 10 changes when obliqued. Pick 3 points, create aligned w/
    ;;vlisp stuff. then try to change 10 based on 3rd point:

    (setq pt1 (getpoint "\nSpecify first point: "))
    (setq pt2 (getpoint pt1 "\nSpecify second point: "))
    (setq pt3 (getpoint pt2 "\nSpecify oblique point: "))

    (setq newisodim
    (vla-AddDimAligned
    mspace
    (vlax-3d-point
    pt1
    )
    (vlax-3d-point
    pt2
    )
    (vlax-3d-point
    pt3
    )

    )
    )
    (setq entName (entlast))

    ;;Not entirely sure why I need this, but when it's removed, It doesn't work
    right.
    (vlax-put-property newisodim 'TextInsideAlign :vlax-false)


    (setq ed (entget entname))
    (setq ed (subst (cons 10 pt3) (assoc 10 ed) ed ))
    (princ ed)
    (entmod ed)


    ;;the (princ ed) looks fine, and shows the new number
    ;;but when i
    ;(assoc 10 (entget (car (entsel))))
    ;;I get the old number,
     
    Joe, Apr 7, 2004
    #1
  2. I didn't try your code, so I'm guessing.....

    after the ENTMOD use ENTUPD to update the entity
     
    Alan Henderson, Apr 8, 2004
    #2
  3. Joe

    Joe Guest

    entupd is just a regen function.

    When i entget the modified entity, i'm getting the old value, which means
    that the new value isn't being put into the dimension....

    maybe I should just use entmake?
     
    Joe, Apr 8, 2004
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.